Page MenuHomePhabricator

making revisionslider pointer easier to hit by mouse or finger
Closed, ResolvedPublic2 Story Points

Description

Problem: The sliders are rather small which makes grabbing them slow (https://en.wikipedia.org/wiki/Fitts%27s_law)

Solution: We could make the pointers (blue/yellow triangle) slightly larger than they appear. The appearance in not influenced; interaction is slightly more tolerant to sloppy pointing. As an estimate, we could make the active area larger (e.g. by using a partly transparent graphic) by 4px left, right and top/bottom (depending on the arrow, they should not cross the horizontal line)

Here the outline for the active areas before (inner) and after (outer) the proposed change

Event Timeline

Restricted Application added a project: Design. · View Herald TranscriptAug 16 2016, 10:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE moved this task from Incoming to Revision Slider on the TCB-Team board.
Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.
Jakob_WMDE moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-08-11 board.
Jakob_WMDE added a subscriber: Lea_WMDE.

Change 305641 had a related patch set uploaded (by Jakob):
Expand draggable/clickable pointer area.

https://gerrit.wikimedia.org/r/305641

Change 305641 merged by jenkins-bot:
Expand draggable/clickable pointer area.

https://gerrit.wikimedia.org/r/305641

WMDE-leszek triaged this task as Normal priority.Aug 25 2016, 1:12 PM
WMDE-leszek set the point value for this task to 2.
Tobi_WMDE_SW closed this task as Resolved.Aug 29 2016, 12:48 PM
Addshore moved this task from Doing to Done on the Revision-Slider board.Sep 13 2016, 2:48 PM
Charlie_WMDE moved this task from Incoming to Done on the WMDE-Design board.Nov 8 2016, 4:01 PM